Page MenuHomePhabricator

MobileFrontend qunit tests should run Gather tests as well
Closed, ResolvedPublic

Description

Changes in MobileFrontend can break Gather so Gather's tests should probably be run in MobileFrontend

Details

Related Gerrit Patches:
integration/config : mastermediawiki-extensions-qunit-mobile
integration/config : masterCommon job for extensions that runs qunit

Event Timeline

Jdlrobson claimed this task.
Jdlrobson raised the priority of this task from to High.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: kaldari, hashar, phuedx and 3 others.

In short, we need a qunit job that clone and his triggered by a bunch of extensions like the mediawiki-testextensions jobs.

hashar renamed this task from MobileFrontend should run Gather tests as well to MobileFrontend qunit tests should run Gather tests as well.Jun 5 2015, 12:39 PM
hashar removed Jdlrobson as the assignee of this task.
hashar set Security to None.

We need a new qunit job that is like mediawiki-testextensions but runs qunit instead of PHPUnit.

hashar added a comment.Jun 5 2015, 3:18 PM

Doing some refactoring in preparation:

https://gerrit.wikimedia.org/r/#/c/216097/ JJB: zuul-cloner-extdeps slightly more reusable
https://gerrit.wikimedia.org/r/#/c/216105/ Factor VE submodule update in a macro
https://gerrit.wikimedia.org/r/#/c/216100/ Refactor mediawiki-extensions-{phpflavor}

That will let us reuse the logic from mediawiki-extensions-{phpflavor} and create a qunit/karma equivalent.

hashar claimed this task.Jun 5 2015, 3:19 PM
hashar lowered the priority of this task from High to Medium.
hashar moved this task from Backlog to In progress on the Continuous-Integration-Config board.

Better reflecting the priority. If it was a high one it would have been fixed sometime ago.

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptJun 5 2015, 3:47 PM

Change 216132 had a related patch set uploaded (by Hashar):
Common job for extensions that runs qunit

https://gerrit.wikimedia.org/r/216132

Change 216132 merged by jenkins-bot:
Common job for extensions that runs qunit

https://gerrit.wikimedia.org/r/216132

hashar added a comment.Jun 5 2015, 9:21 PM

The first prod change to pass is https://gerrit.wikimedia.org/r/#/c/216292/3 and mediawiki-extensions-qunit ran happily in 2 minutes.

Now I gotta add a -mobile version.

Change 216322 had a related patch set uploaded (by Hashar):
mediawiki-extensions-qunit-mobile

https://gerrit.wikimedia.org/r/216322

Jdlrobson moved this task from Needs triage to Some day on the Gather board.Jun 10 2015, 3:16 PM

Change 216322 abandoned by Hashar:
mediawiki-extensions-qunit-mobile

Reason:
Clarified with Timo. His RL patch https://gerrit.wikimedia.org/r/#/c/216886/ will fulfill mobile needs and Jon from mobile is in the loop.

Thus no need for a mediawiki-extensions-qunit-mobile job!

https://gerrit.wikimedia.org/r/216322

From a discussion with Timo: running qunit with useformat=mobile is not needed. https://gerrit.wikimedia.org/r/#/c/216886/ updates the ResourceLoader to let us run qunit jobs the mobile way.

What is left to be done?

Verify what uses the mediawiki-extensions-qunit job added by https://gerrit.wikimedia.org/r/#/c/216132/ . But I think both Gather and MobileFrontend are sharing it.

We might want to remove the per extension jobs that brings in dependencies. Should be superseeded by that new shared job.

Jdlrobson closed this task as Resolved.Jun 18 2015, 10:22 PM

I think we are good here.
Moving discussion over T103027